<?php
function morgan_scripts_basic() {  

	/* ------------------------------------------------------------------------ */
	/* Enqueue Scripts */
	/* ------------------------------------------------------------------------ */
	/* Bootstrap */
	wp_enqueue_script('bootstrap', get_template_directory_uri() . '/js/bootstrap.min.js', array( 'jquery' ), '1.0.0', true);
	/* Owl Carousel */
	wp_enqueue_script('owl.carousel', get_template_directory_uri() . '/js/owl.carousel.min.js', array( 'jquery' ), '1.0.0', true);
	/* Pretty Photo */
	wp_enqueue_script('prettyPhoto', get_template_directory_uri() . '/js/jquery.prettyPhoto.js', array( 'jquery' ), '1.0.0', true);
	/* Pretty Photo */
	wp_enqueue_script('isotope', get_template_directory_uri() . '/js/jquery.isotope.js', array( 'jquery' ), '1.0.0', true);
	/* Pretty Photo */
	wp_enqueue_script('morgan-app', get_template_directory_uri() . '/js/app.js', array( 'jquery' ), '1.0.0', true);
	/* Pretty Photo */
	wp_enqueue_script('morgan-main', get_template_directory_uri() . '/js/morgan-main.js', array( 'jquery' ), '1.0.0', true);
/* Smooth scroll */
	wp_enqueue_script('TweenMax', get_template_directory_uri() . '/js/custom_scroll/TweenMax.min.js', array( 'jquery' ), '1.0.0', true);		
	wp_enqueue_script('ScrollToPlugin', get_template_directory_uri() . '/js/custom_scroll/ScrollToPlugin.js', array( 'jquery' ), '1.0.0', true);

	if ( is_singular() ) {
		wp_enqueue_script( 'comment-reply' );
	}
	wp_localize_script( 'morgan-main', 'prefix_object_name', array(
		'error_while_ajax_request' => esc_html__( 'Error while ajax request', 'morgan' ),
		'thank_you_your_email_has_been_sent' => esc_html__( 'Thank you, your email has been sent', 'morgan' ),
		'please_try_again' => esc_html__( 'Please, fill in the required fields correctly!', 'morgan' )
	) );
}
add_action( 'wp_enqueue_scripts', 'morgan_scripts_basic' ); 

function morgan_styles_basic()  {  
	
	/* ------------------------------------------------------------------------ */
	/* Enqueue Stylesheets */
	/* ------------------------------------------------------------------------ */
	/* Fonts */
	wp_enqueue_style( 'morgan-fonts', get_template_directory_uri() . '/css/webfonts/webfonts.css');
	/* Bootstrap */
	wp_enqueue_style( 'bootstrap', get_template_directory_uri() . '/css/bootstrap.min.css');
	/* ThemiFy */
	wp_enqueue_style( 'themify-icons', get_template_directory_uri() . '/css/themify-icons.css');
	/* Owl */
	wp_enqueue_style( 'owl-carousel', get_template_directory_uri() . '/css/owl.carousel.css');
	/* PrettyPhoto */
	wp_enqueue_style( 'prettyPhoto', get_template_directory_uri() . '/css/prettyPhoto.css');
	/* Font-Awesome */
	wp_enqueue_style( 'font-awesome', get_template_directory_uri() . '/css/font-awesome.min.css');
	/* Hover */
	wp_enqueue_style( 'morgan-hover', get_template_directory_uri() . '/css/hover.css');
	/* Main Style */
	wp_enqueue_style( 'morgan-stylesheet', get_template_directory_uri() . '/style.css'); // Main Stylesheet
	/* Responsive */
	wp_enqueue_style( 'morgan-responsive', get_template_directory_uri() . '/css/responsive.css');
	/* Reset */
	wp_enqueue_style( 'morgan-reset', get_template_directory_uri() . '/css/reset.css');
	if ( function_exists( 'the_gutenberg_project' ) || function_exists( 'wp_common_block_scripts_and_styles' ) ) {
		wp_enqueue_style( 'morgan-gutenberg-additions', get_template_directory_uri() . '/gutenberg/css/gutenberg-additions.css'); // Gutenberg CSS
	}
	
}  
add_action( 'wp_enqueue_scripts', 'morgan_styles_basic', 1 );
?>