<?php
// VC_row customization

vc_add_param("vc_row", array(
   "type" => "textfield",
   "class" => "",
   "heading" => esc_html__("Want to have top padding?",'morgan'),
   "param_name" => "top_padding",
   "value" => "",
   "description" => esc_html__("Input top padding in pixel (i.e 50px).", "morgan"),
));

vc_add_param("vc_row", array(
   "type" => "textfield",
   "class" => "",
   "heading" => esc_html__("Want to have bottom padding?",'morgan'),
   "param_name" => "bottom_padding",
   "value" => "",
   "description" => esc_html__("Input bottom padding in pixel (i.e 50px).", "morgan"),
));

vc_add_param("vc_row", array(
   "type" => "textfield",
   "class" => "",
   "heading" => esc_html__("Want to have left padding?",'morgan'),
   "param_name" => "zleft_padding",
   "value" => "",
   "description" => esc_html__("Input left padding in pixel (i.e 50px).", "morgan"),
));

vc_add_param("vc_row", array(
   "type" => "textfield",
   "class" => "",
   "heading" => esc_html__("Want to have right padding?",'morgan'),
   "param_name" => "zright_padding",
   "value" => "",
   "description" => esc_html__("Input right padding in pixel (i.e 50px).", "morgan"),
));

// VC_column_text customization

vc_add_param("vc_column_text", array(
   "type" => "colorpicker",
   "class" => "",
   "heading" => esc_html__("Play text color", "morgan"),
   "param_name" => "txt_color",
   "value" => "",
   "description" => '',
));

/****************************************************
Removing default templates and adding custom template
****************************************************/
add_filter( 'vc_load_default_templates', 'my_custom_template_modify_array' ); // Remove default templates
function my_custom_template_modify_array( $data ) {
    return array(); // This will remove all default templates. Basically you should use native PHP functions to modify existing array and then return it.
}

add_action( 'vc_load_default_templates_action','morgan_custom_template_for_vc' ); // Adding Custom template
function morgan_custom_template_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = esc_html__( 'Morgan Home Template - Style One', 'morgan' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
       [vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_page_header_two image_one="15" title1="Hi, I' Am" title2="James Willian" title3="Web and Graphic designer" image_two="16" box_title1="Profile" box_icon1="ti-medall-alt" box_url1="#" image_three="18" box_title2="Blog" box_icon2="ti-paint-bucket" box_url2="#" image_four="19" box_title3="Portfolio" box_icon3="ti-hummer" box_url3="#" image_five="20" box_title4="Contact" box_icon4="ti-marker-alt" box_url4="#"][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

add_action( 'vc_load_default_templates_action','morgan_custom_template_two_for_vc' ); // Adding Custom template
function morgan_custom_template_two_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = esc_html__( 'Morgan Home Template - Style Two', 'morgan' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
       [vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_page_header_two image_one="15" title1="Hi, I' Am" title2="James Willian" title3="Web and Graphic designer" image_two="16" box_title1="Profile" box_icon1="ti-medall-alt" box_url1="#" image_three="18" box_title2="Blog" box_icon2="ti-paint-bucket" box_url2="#" image_four="19" box_title3="Portfolio" box_icon3="ti-hummer" box_url3="#" image_five="20" box_title4="Contact" box_icon4="ti-marker-alt" box_url4="#"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_information_two image_one="24" title1="Webinar times are shown in US Central Time" icon1="ti-location-pin" image_two="25" title2="+12-124-2981-484" icon2="ti-location-pin" image_three="26" title3="Youremail@simple.com" icon3="ti-location-pin"][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

add_action( 'vc_load_default_templates_action','morgan_custom_template_three_for_vc' ); // Adding Custom template
function morgan_custom_template_three_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = esc_html__( 'Morgan Home Template - Style Three', 'morgan' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
       [vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_page_header_three image_one="29" box_title1="Profile" box_icon1="ti-medall-alt" box_url1="#" image_two="30" box_title2="Blog" box_icon2="ti-paint-bucket" box_url2="#" image_three="31" box_title3="Portfolio" box_icon3="ti-hummer" box_url3="#" image_four="32" box_title4="Contact" box_icon4="ti-marker-alt" box_url4="#"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_information_two image_one="24" title1="Webinar times are shown in US Central Time" icon1="ti-location-pin" image_two="25" title2="+12-124-2981-484" icon2="ti-location-pin" image_three="26" title3="Youremail@simple.com" icon3="ti-location-pin"][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

add_action( 'vc_load_default_templates_action','morgan_custom_template_four_for_vc' ); // Adding Custom template
function morgan_custom_template_four_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = esc_html__( 'Morgan Home Template - Style Four', 'morgan' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
       [vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_author_block image_two="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/parallax04.jpg" image_one="36" title="James Willians Rex" sub_title="Web and Graphic designer, Developer, Professional" button_label="Download My Resume" button_url="#" ti_icon="ti-download"][/vc_column][/vc_row][vc_row top_padding="100px" bottom_padding="100px"][vc_column width="1/4"][morgan_shortcodes_iconic_features_one icon="ti-alarm-clock" title="Retina Ready" text="Lorem ipsum dolor sit amet, consectetuer adipiscing."][/vc_column][vc_column width="1/4"][morgan_shortcodes_iconic_features_one icon="ti-brush-alt" title="Clean Coder" text="Lorem ipsum dolor sit amet, consectetuer adipiscing."][/vc_column][vc_column width="1/4"][morgan_shortcodes_iconic_features_one icon="ti-camera" title="Photograhpic" text="Lorem ipsum dolor sit amet, consectetuer adipiscing."][/vc_column][vc_column width="1/4"][morgan_shortcodes_iconic_features_one icon="ti-cloud" title="Best Analytics" text="Lorem ipsum dolor sit amet, consectetuer adipiscing."][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_biography_block_one image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/parallax06.jpg" title1="full Name" icon1="ti-user" text1="James Willians Rex" title2="BORN" icon2="ti-star" text2="30 Aug 1991 - Austin, U.S.A" title3="EMAIL" icon3="ti-email" text3="yourname@dotrex.com" title4="PHONE NUMBER" icon4="ti-microphone" text4="567-876-7653"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_work_catousel_one image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/parallax07.jpg" title1="Why people like my work?" sub_title1="Brainstome & Project Designing" button_label1="Read More" button_url1="#" title2="For whom I am the best?" sub_title2="Project Designing & Brainstorm" button_label2="Read More" button_url2="#" text1="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim

Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem." text2="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim

Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem."][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_skills_catousel_one image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/parallax02.jpg" section_title="My Skills" section_sub_title="Web & Mobile Application" skill_title1="Adobe photoshop" skill_icon1="ti-pencil" skill_percent1="28" skill_title2="Wordpress" skill_icon2="ti-paint-roller" skill_percent2="58" skill_title3="HTML5 / CSS3" skill_icon3="ti-medall-alt" skill_percent3="23" skill_title4="Designing ART" skill_icon4="ti-announcement" skill_percent4="88"][/vc_column][/vc_row][vc_row top_padding="100px"][vc_column][morgan_shortcodes_title_one heading1="My Price start from" heading2="Here Is My Rate"][/vc_column][/vc_row][vc_row bottom_padding="100px"][vc_column width="1/3"][morgan_shortcodes_pricing plane_name="HTML/CSS" icon_name="ti-ruler-pencil" price="$30" duration="hour" button_text="Hire Me" button_url="#" image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/price-table03.jpg" features="1  Hosting
15 Project
30GB Storage
Unlimited Usage
50 GB Bandwidth"][/vc_column][vc_column width="1/3"][morgan_shortcodes_pricing plane_name="PHP" icon_name="ti-ruler-pencil" price="$45" duration="hour" button_text="Hire Me" button_url="#" image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/price-table02.jpg" features="1  Hosting
15 Project
30GB Storage
Unlimited Usage
50 GB Bandwidth"][/vc_column][vc_column width="1/3"][morgan_shortcodes_pricing plane_name="Web Design" icon_name="ti-ruler-pencil" price="$40" duration="hour" button_text="Hire Me" button_url="#" image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/price-table01.jpg" features="1  Hosting
15 Project
30GB Storage
Unlimited Usage
50 GB Bandwidth"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_stats_one image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/parallax08.jpg" stat_title1="Lines of Code" stat_icon1="ti-ruler-pencil" stat_percent1="2,755" stat_title2="Successful Project" stat_icon2="ti-cup" stat_percent2="21,425" stat_title3="Support Ticket" stat_icon3="ti-unlock" stat_percent3="253" stat_title4="Designing Sites" stat_icon4="ti-palette" stat_percent4="887"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_shortcodes_blog_post heading1="My Blog" heading2="Latest News from My Blog"][/vc_column][/vc_row][vc_row][vc_column][morgan_shortcodes_title_one heading1="Work Experience" heading2="Web & Mobile Application"][/vc_column][/vc_row][vc_row bottom_padding="80px"][vc_column][morgan_shortcodes_experience image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/experience01.jpg" heading="THEMEFOREST - Author" date="SEP 1991 TO MAY 1996" text="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem."][morgan_shortcodes_experience image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/experience02.jpg" heading="ENVATO - Web Engineer" date="SEP 1995 TO MAY 2006" text="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem."][morgan_shortcodes_experience image_one="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/experience03.jpg" heading="TUTSPLUS - Editor" date="OCT 2006 TO MAY 2010" text="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem."][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_information_one image_one="60" image_two="24" title1="Webinar times are shown in US Central Time" icon1="ti-location-pin" image_three="25" title2="+12-124-2981-484" icon2="ti-location-pin" image_four="26" title3="Youremail@simple.com" icon3="ti-location-pin" image_five="61" title4="Simple_id Here" icon4="ti-location-pin"][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}

add_action( 'vc_load_default_templates_action','morgan_custom_template_five_for_vc' ); // Adding Custom template
function morgan_custom_template_five_for_vc() {
    $data               = array(); // Create new array
    $data['name']       = esc_html__( 'Morgan Home Template - Style Five', 'morgan' ); // Assign name for your custom template
    $data['weight']     = 0; // Weight of your template in the template list
    $data['image_path'] = get_template_directory_uri().'/vc_templates/images/custom_template_thumbnail.jpg';
    $data['custom_class'] = 'custom_template_for_vc_custom_template'; // CSS class name
    $data['content']    = <<<CONTENT
       [vc_row full_width="stretch_row_content_no_spaces"][vc_column][morgan_page_header_four image_one="180" image_two="168" title1="Home" title1_url="http://fluentthemes.com/wp/morgan/" image_three="176" title2="Features" title2_url="#features" image_four="169" title3="Accordion" title3_url="#accordion" image_five="170" title4="Blog" title4_url="#blog" image_six="171" title5="Videos" title5_url="#videos" image_seven="172" title6="Testimonial" title6_url="#reviews" fixed="false"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" top_padding="70px"][vc_column][morgan_author_block_two image_two="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/inner_header01.jpg" title1="Hi, I' Am" title2="James Willians Rex" title3="Web and Graphic designer, Developer, Professional" author_details="Turpis, sit amet iaculis dui consectetur at. Cras sagittis molestie orci. Suspendisse ut laoreet mi. Phasellus eu tortor vehicula, blandit enim eu, auctor massa. Nulla ultricies tortor dolor, sit amet suscipit enim condimentum id " button_label="Download My Resume" button_url="#" ti_icon="ti-download" author_fb_url="#" author_gp_url="#" author_rd_url="#" author_dr_url="#"][/vc_column][/vc_row][vc_row top_padding="70px" bottom_padding="100px" el_id="features"][vc_column width="1/4"][morgan_shortcodes_iconic_features_one icon="ti-alarm-clock" title="Retina Ready" text="Lorem ipsum dolor sit amet, consectetuer adipiscing."][/vc_column][vc_column width="1/4"][morgan_shortcodes_iconic_features_one icon="ti-brush-alt" title="Clean Codes" text="Lorem ipsum dolor sit amet, consectetuer adipiscing."][/vc_column][vc_column width="1/4"][morgan_shortcodes_iconic_features_one icon="ti-camera" title="Photograhpic" text="Lorem ipsum dolor sit amet, consectetuer adipiscing."][/vc_column][vc_column width="1/4"][morgan_shortcodes_iconic_features_one icon="ti-cloud" title="Best Analytics" text="Lorem ipsum dolor sit amet, consectetuer adipiscing."][/vc_column][/vc_row][vc_row full_width="stretch_row" parallax="content-moving" parallax_image="37" parallax_speed_bg="10" top_padding="100px" bottom_padding="100px" el_id="accordion"][vc_column][morgan_shortcodes_title_two heading1="What I Do" heading2="Web & Mobile Application"][vc_row_inner][vc_column_inner width="2/3"][morgan_shortcodes_accordion number_of_tabs="4" title1="Password Lock System Included" icon1="ti-desktop" text1="Print this page to PDF for the complete set of vectors. Or to use on the desktop, install FontAwesome.otf, set it as the font in your application, and copy and paste the icons (not the unicode) directly from this page into your designs. " title2="Colorado and since then have never " icon2="ti-ruler-pencil" text2="Print this page to PDF for the complete set of vectors. Or to use on the desktop, install FontAwesome.otf, set it as the font in your application, and copy and paste the icons (not the unicode) directly from this page into your designs. " title3="Reputable company in the United States" icon3="ti-star" text3="Print this page to PDF for the complete set of vectors. Or to use on the desktop, install FontAwesome.otf, set it as the font in your application, and copy and paste the icons (not the unicode) directly from this page into your designs. " title4="Construction services in colorado" icon4="ti-mobile" text4="Print this page to PDF for the complete set of vectors. Or to use on the desktop, install FontAwesome.otf, set it as the font in your application, and copy and paste the icons (not the unicode) directly from this page into your designs. "][/vc_column_inner][vc_column_inner width="1/3"][vc_single_image image="148" img_size="full" css_animation="right-to-left"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" el_id="blog"][vc_column][morgan_shortcodes_blog_post heading1="My Blog" heading2="Web & Mobile Application"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" el_id="videos"][vc_column][morgan_shortcodes_videos heading1="My Videos from YouTube" heading2="Web & Mobile Application" number_of_tabs="3" title1="Photography Hacks" sub_title1="In London" icon1="ti-location-pin" image_url1="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/video-small01.jpg" text1="<iframe src='https://www.youtube.com/embed/Z3MohNj9eVo' frameborder='0' allowfullscreen></iframe>" title2="How To Do Photoshop" sub_title2="In London" icon2="ti-location-pin" image_url2="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/video-small02.jpg" text2="<iframe src='https://www.youtube.com/embed/KG784oxeQcQ' frameborder='0' allowfullscreen></iframe>" title3="How To Do Photography" sub_title3="In London" icon3="ti-location-pin" image_url3="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/video-small03.jpg" text3="<iframe src='https://www.youtube.com/embed/8TbWgwBz2EI' frameborder='0' allowfullscreen></iframe>"][/vc_column][/vc_row][vc_row full_width="stretch_row_content_no_spaces" el_id="reviews"][vc_column][morgan_shortcodes_reviews_one heading1="What they say" heading2="Web & Mobile Application" morgan_shortcodes_parallax_bg="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/parallax11.jpg" number_of_reviews="4" name1="Mad mineo" designation1="Chairman" img1="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/testimonial04.jpg" text1="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim" name2="Lennie Lazenby" designation2="CEO" img2="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/testimonial03.jpg" text2="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim" name3="John Doe" designation3="Chairman" img3="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/testimonial02.jpg" text3="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim" name4="Jane Doe" designation4="Manager" img4="http://fluentthemes.com/wp/morgan/wp-content/uploads/2016/04/testimonial01.jpg" text4="Nemo enim ipsam volupipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem Nemo enim"][/vc_column][/vc_row]
CONTENT;
  
    vc_add_default_templates( $data );
}